/*******************************************************************************
*
* File Name:   wait.c
* Project  :   c't Bot library
*
*
* Ver.     Date                 Author                    Comments
* -------  ----------   ---------------------   ------------------------------
* 2.00	   28.06.2006   Yang Li & Xingxing Hu   build
*                                               Warte 100 ms -> wait_100ms(void);
*                                               Verzoegert um ms Millisekunden -> wait(int dauer);
*
* 2006 Institut fuer Informatik, Tu-Clausthal
*****************************************************************************/
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   any later version.                                                    *
 ***************************************************************************/

#include "wait.h"

/* Warte 100 ms */
void wait_100ms(void)
{
	int a;

	for(a=0;a<5;a++){
	    _delay_loop_2(40000);				//wait (40000 x 4) cycles = wait 160000 cycles
	}
}


/* Verzoegert um ms Millisekunden */
void wait(int dauer)
{
	int z=0;

	for(z=0;z<dauer;z++) wait_100ms();
}


