/*******************************************************************************
*
* File Name:   wait.h
* Project  :   c't Bot library
*
*
* Ver.     Date                 Author                    Comments
* -------  ----------   ---------------------   ------------------------------
* 2.00	   28.06.2006   Yang Li & Xingxing Hu   build
*                                               Warte 100 ms -> wait_100ms(void);
*                                               Verzoegert um ms Millisekunden -> wait(int dauer);
*
* Copyright (c) 2006 Institut fuer Informatik, Tu-Clausthal
*****************************************************************************/
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   any later version.                                                    *
 ***************************************************************************/

#ifndef WAIT_H_
#define WAIT_H_

#ifdef F_CPU
#undef F_CPU
#endif
#define F_CPU 16000000UL
#include <avr/delay.h>


/* Warte 100 ms */
void wait_100ms(void);

/* Verzoegert um ms Millisekunden */
void wait(int dauer);

#endif
