/*******************************************************************************
*
* File Name:   fahrdrehung.h
* Project  :   c't Bot library
*
*
* Ver.     Date                 Author                    Comments
* -------  ----------   ---------------------   ------------------------------
* 2.00	   28.06.2006   Yang Li & Xingxing Hu   build
*                                               adc_Initialisieren -> adc_init();
*                                               Liest einen analogen Kanal aus -> adc_read(unsigned int kanal);                                               
*												                                              
* Copyright (c) 2006 Institut fr Informatik, Tu-Clausthal
*****************************************************************************/
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   any later version.                                                    *
 ***************************************************************************/
 
#ifndef FAHRDREHUNG_H_
#define FAHRDREHUNG_H_

#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/signal.h>

#include "sensoren.h"
#include "led.h"
#include "wait.h"
#include "motor.h"

int RIGHT,LEFT,left_speed,right_speed;

int fahrdrehung(int winkel,unsigned char Dir);

#endif
