/*******************************************************************************
*
* File Name:   fahrgeradeaus.c
* Project  :   c't Bot library
*
*
* Ver.     Date                 Author                    Comments
* -------  ----------   ---------------------   ------------------------------
* 2.00	   28.06.2006   Yang Li & Xingxing Hu   build
*
*
* Copyright (c) 2006 Institut fuer Informatik, Tu-Clausthal
*****************************************************************************/
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   any later version.                                                    *
 ***************************************************************************/

#include "fahrgeradeaus.h"


int fahrgeradeaus(unsigned char Motorl,unsigned char Motorr){

	CTMotor(Motorl, Motorr);

	while(sensEnc_data[1] != sensEnc_data[0])
	{

		if(sensEnc_data[1] < sensEnc_data[0]){ // wenn  rechter Encoder liefert kleineren Wert als der linke

			if(Motorr <= 254) Motorr++; else Motorl--; // und wenn gegeben rechte Motordrehzahl <= 254, dann rechte  Motordrehzahl hochzählen um 1 pro Takt
		}                                               // wenn, mehr als 254 , dann verringert der linke Motor seine Drehzahl

		if(sensEnc_data[1] > sensEnc_data[0]){      // wenn der linke Encoder einen kleineren Wert liefert als der rechte,

			if(Motorl <= 254) Motorl++; else Motorr--;  // und wenn die gegebene linke Motordrehzahl <= 254, dann linke Motordrehzahl um 1 pro Takt hochzählen
		}                                              // wenn, mehr als 254 , dann verringert der rechte Motor seine Drehzahl

	if(sensEnc_data[1] == sensEnc_data[0]){       // wenn rechter encoder = linker Encoder

	    Motorl = Motorr;                         // dann beide Motoren gleiche Drehzahl
	}
	}
	return 0;
}
