/*******************************************************************************
*
* File Name:   motor.h
* Project  :   c't Bot library
*
*
* Ver.     Date                 Author                    Comments
* -------  ----------   ---------------------   ------------------------------
* 2.00	   28.06.2006   Yang Li & Xingxing Hu   build
*                                               LEFT_VEL, RIGHT_VEL,"+" und "-" bedeutet vor- oder Rueckwaerts -> CTMotor(int left_speed, int right_speed);
*                                               Initialisiert die Motoren -> motor_init();
*
* Copyright (c) 2006 Institut fuer Informatik, Tu-Clausthal
*****************************************************************************/
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   any later version.                                                    *
 ***************************************************************************/

#ifndef MOTOR_H_
#define MOTOR_H_

#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/signal.h>
#include <stdlib.h>

int sl,sr;

/* Initialisiert die Motoren */
void motor_init(void);

/* Setzen motor speed */
void CTMotor(int left_speed, int right_speed);

#endif
