/*******************************************************************************
*
* File Name:   shift.h
* Project  :   c't Bot library
*
*
* Ver.     Date                 Author                    Comments
* -------  ----------   ---------------------   ------------------------------
* 2.00	   28.06.2006   Yang Li & Xingxing Hu   build
*                                               Schieberegister(74HC595)_Initialisieren -> schieberegister_init();
*                                               Schiebt Daten durch eines der drei 74HC595 Schieberegister ->
*                                               schieberegister_data_schicken(unsigned char data, unsigned char data_send, unsigned char data_schieben);
*
* 2006 Institut fuer Informatik, Tu-Clausthal
*****************************************************************************/
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   any later version.                                                    *
 ***************************************************************************/

#ifndef SHIFT_H_
#define SHIFT_H_

#include <avr/io.h>
#include <stdlib.h>
#include <stdio.h>

#define SCHIEBEREGISTER_DISPLAY	0x04  /* Port-Pin fuer SCHIEBEREGISTER_DISPLAY */
#define SCHIEBEREGISTER_LED	0x10	  /* Port-Pin fuer SCHIEBEREGISTER_DISPLAY */
#define SCHIEBEREGISTER_ENA	0x08	  /* Port-Pin fuer SCHIEBEREGISTER_DISPLAY */


/* Initialisert die Shift-Register*/
void schieberegister_init(void);

/* Schiebt Daten durch eines der drei 74HC595-Schieberegister und den Port danach noch zur�cksetzen*/
void schieberegister_data_schicken(unsigned char data, unsigned char data_send, unsigned char data_schieben);
#endif
